## org.apache.xml.dtm.ref.sax2dtm
Class SAX2DTM2.TypedSingletonIterator

    java.lang.Object
      |
      +--org.apache.xml.dtm.ref.DTMAxisIteratorBase
            |
            +--org.apache.xml.dtm.ref.DTMDefaultBaseIterators.InternalAxisIteratorBase
                  |
                  +--org.apache.xml.dtm.ref.DTMDefaultBaseIterators.SingletonIterator
                        |
                        +--org.apache.xml.dtm.ref.sax2dtm.SAX2DTM2.TypedSingletonIterator

public final class SAX2DTM2.TypedSingletonIterator
extends DTMDefaultBaseIterators.SingletonIterator

Iterator that returns a given node only if it is of a given type.

Constructor Summary
`SAX2DTM2.TypedSingletonIterator(int nodeType)` Constructor TypedSingletonIterator

Method Summary
`int` `next()` Get the next node in the iteration.

Methods inherited from class org.apache.xml.dtm.ref.DTMDefaultBaseIterators.SingletonIterator
`reset, setStartNode`

Methods inherited from class org.apache.xml.dtm.ref.DTMDefaultBaseIterators.InternalAxisIteratorBase
`gotoMark, setMark`

Methods inherited from class org.apache.xml.dtm.ref.DTMAxisIteratorBase
`cloneIterator, getAxis, getLast, getNodeByPosition, getPosition, getStartNode, includeSelf, isDocOrdered, isReverse, setRestartable`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAX2DTM2.TypedSingletonIterator

    public SAX2DTM2.TypedSingletonIterator(int nodeType)

  Constructor TypedSingletonIterator
  Parameters:
    `nodeType` - The extended type ID being requested.

Method Detail

### next

    public int next()

  Get the next node in the iteration.
  Returns:
    The next node handle in the iteration, or END.
  Overrides:
    next in class DTMDefaultBaseIterators.SingletonIterator

Copyright © 2006 Apache XML Project. All Rights Reserved.